//Cristian Ronzoni 3Ain
// Programma che verifica se n è presente all’interno della matrice
#include <iostream>
#include <iomanip>
#include <cstdlib>
#include <ctime>
#define LATO 3
using namespace std;
void riempi(int arr[LATO] [LATO]);
void stampa(int arr[LATO] [LATO]);
void check(int arr[LATO][LATO],int n);

int main (void){
	srand(time(NULL));
	
	int num;
	int bobby[LATO][LATO];
	
	cout << "Inserisci un numero";
	cin >> num;
	riempi(bobby);
	stampa(bobby);
	check(bobby, num);
	
}



void stampa(int arr[LATO] [LATO]){
	for(size_t i = 0; i<LATO; ++i){
		for(size_t j = 0; j<LATO; ++j){
			cout << setw(3) << arr[i] [j] ;
		}
		cout << endl;
	}
}


void riempi(int arr[LATO] [LATO]){
	
	for(size_t i = 0; i<LATO; ++i){
		for(size_t j = 0; j<LATO; ++j){
			arr[i][j] = rand() % 10;
			
			
		}
	}

}

void check(int arr[LATO][LATO], int n){
	
	for(size_t i = 0; i<LATO; ++i){
		for(size_t j = 0; j<LATO; ++j){
			if(arr[i][j] == n || arr[i++][j] == n || arr[i][j++] ==n){
				cout << "Il numero e' presente nella matrice";
			}
			else
				break;
		}
	}
	
	
}
